Bug 384811 - RHEL5 cmirror tracker: unable to unload the cmirror kernel module using the init script
RHEL5 cmirror tracker: unable to unload the cmirror kernel module using the i...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
5.0
All Linux
low Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 10:36 EST by Corey Marthaler
Modified: 2010-01-11 21:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:26:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2007-11-15 10:36:00 EST
Description of problem:
[root@taft-01 ~]# rpm -q cmirror
cmirror-1.1.0-7
[root@taft-01 ~]# service cmirror stop
Stopping clustered mirror log server:                      [FAILED]

Nov 15 09:33:06 taft-01 clogd[6715]: Error from poll: -1
Nov 15 09:33:06 taft-01 clogd[6715]: cluster_queue: 0
Nov 15 09:33:06 taft-01 clogd[6715]: free_queue   : 100
Nov 15 09:33:06 taft-01 clogd[6715]: No current cluster logs... safe to exit.

Version-Release number of selected component (if applicable):
2.6.18-53.el5
cmirror-1.1.0-7

How reproducible:
Everytime
Comment 3 Corey Marthaler 2008-01-21 15:23:25 EST
The cmirror script has been verified to do the correct thing...

A. when a mirror is active, it fails to stop
   (Cluster logs exist.  Refusing to exit.)

B. when a mirror is not active, it stops
   (No current cluster logs... safe to exit.)

However I'm going to wait to mark this bug verified until the extra
prints/debugging are removed in the next build.

Jan 21 14:11:54 hayes-03 clogd[12543]: Error from poll: -1
Jan 21 14:11:54 hayes-03 clogd[12543]: cluster_queue: 0
Jan 21 14:11:54 hayes-03 clogd[12543]: free_queue   : 100

Comment 4 Corey Marthaler 2008-01-25 12:41:30 EST
The clogd messages weren't removed in any of the latest builds, so putting this
back to assigned...
Comment 5 Corey Marthaler 2008-02-04 10:30:33 EST
The messages appear to be gone in the latest build. Marking verified.

lvm2-2.02.32-1.el5
lvm2-cluster-2.02.32-1.el5
cmirror-1.1.8-1.el5
kmod-cmirror-0.1.5-2.el5
Comment 8 errata-xmlrpc 2009-01-20 16:26:28 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0158.html

Note You need to log in before you can comment on or make changes to this bug.